#!/usr/bin/env python
''' others.py
    for overlays, etc... in Get Out
'''

import pygame
from pygame import *
from tileset import *

class others():
    def __init__(self, loc, tile, tset, idno, otype = -1):
        ''' others class
            loc = [x,y] location on map
            tile= [x,y] coordinates on tileset
            tset= tileset being used
        '''
        self.loc = loc
        self.tile = tile
        self.tset = tset
        self.pic = self.tset.getXY(self.tile)
        self.idno = idno
        self.otype = otype
    
    def render(self, screen, loc):
        screen.blit(self.pic, loc)
